"use strict";
var React = require('react');
exports.NumberInput = function (props) {
    var errorDiv = props.error
        ? React.createElement("div", {className: "alert-error"}, props.error)
        : React.createElement("div", null);
    return (React.createElement("div", {className: "form-group"}, 
        React.createElement("input", {type: "number", value: props.value, placeholder: props.placeHolder, className: "form-control", onChange: props.onChange}), 
        errorDiv));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = exports.NumberInput;
