"use strict";
var React = require('react');
exports.SelectInput = function (props) {
    var options = props.options.map(function (o, index) { return React.createElement("option", {value: o.value, key: index}, o.text); });
    var errorDiv = props.error
        ? React.createElement("div", {className: "alert-error"}, props.error)
        : React.createElement("div", null);
    return (React.createElement("div", {className: "form-group"}, 
        React.createElement("select", {name: props.name, value: props.value, onChange: props.onChange}, 
            "className=\"c-select\"", 
            options), 
        errorDiv));
};
