let config = {
    entry: './ts/index',
    output:{
        path: './js',
        filename: 'index.js'
    },
    resolve: {
        extensions: ['', '.js', '.ts', '.tsx']
    },
    module: {
        loaders: [
            {
                test: /\.tsx?$/,
                exclude: /node_modules/,
                loader: 'ts-loader'
            }
        ]
    },
    watch: true
}

module.exports = config