"use strict";
var React = require('react');
exports.TextInput = function (props) {
    var errorDiv = props.error
        ? React.createElement("div", {className: "alert-error"}, props.error)
        : React.createElement("div", null);
    return (React.createElement("div", {className: "form-group"}, 
        React.createElement("input", {type: "text", value: props.value, placeholder: props.placeHolder, className: "form-control", onChange: props.onChange}), 
        errorDiv));
};
